# Retrieve Joint Report

## Retrieve Joint Report

<mark style="color:blue;">`GET`</mark> `https://api.numaly.com/v1/requests/join-requests?ids={id}`

#### Query Parameters

| Name | Type   | Required | Description                                                                                                                                                                              |
| ---- | ------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ids  | string | True     | Either a verification request `id` or you `request_id` of the verifications you wish to create a report for. For multiple ids or request\_ids use seperate them with commas e.g  `1,2,3` |

{% tabs %}
{% tab title="200 " %}

```
{
    "joint_report_url": "https://www.numaly.com/report?token=eyJhbGciOiJIUzUxMiIsImlhdCI6MTYxMzMwMjEzMSwiZXhwIjoxNjEzMzA1NzMxfQ.eyJ1c2VyX2lkIjo0fQ.lLnNNTBKTWyMA0K5D8BZFSA7YNYDVu2fvB8Wrntach6QwJK29CmCRhP4ogdfsJy6rJ2vzjQc9Pgf1pgT_-bS-Q&id_1=1c3f343d-3f21-4c1d-bf53-5939cf42e611&id_2=4b7G113v-3f21-4c1d-bf53-5939cf42e611"
    "joint_names": "Sarah Samples, John Samples",
    "from_date": "2020-02-06",
    "to_date": "2021-02-05",
    "months_retrieved": 12,
    "days_retrieved": 365
    "total_income": "$204,954.00",
    "total_deposits": 18,
    "average_monthly_income": "$17,079.50",
    "average_monthly_income_3": "$16,165.85",
    "average_monthly_expenses": "$6,954.00",
    "total_recurring_income": 98,300.50,
    "average_monthly_income_recurring": "$9,100.00",
    "total_recurring_deposits": 10,
    "total_non_recurring_income": "206,653.50" ,
    "average_monthly_income_non_recurring": "7,979.50",
    "total_non_recurring_deposits": 8,
    "income_rent_multiple": 15.53,
    "expense_income_ratio": 0.41,
    "property_rent": "$1,100.00"
    "applicants": [ individual reports ...]
}
```

{% endtab %}

{% tab title="403 Returned if there are more than 10 applicants in the joint report" %}

```
```

{% endtab %}

{% tab title="404 Returned when either a verification id could not be found, if one of the verification was not complete or if one of the verifications was completed with a paystub." %}

```
No response
```

{% endtab %}
{% endtabs %}

ids is a comma separated string of request ids needed for the joint report

### Response Schema

| Field                                    | Type   | Response                                                                                                                                                                             |
| ---------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Joint Names                              | String | Names of all applicants the joint summary is for.                                                                                                                                    |
| from\_date                               | string | How far back the data the income report is generated is generated from.                                                                                                              |
| to\_date                                 | string | Date of the most recent transaction the income report is generated from.                                                                                                             |
| months\_retrieved                        | number | Total months of transactions the income report is generated from. It is the delta months of `from_date` and `to_date`. Will always use the applicant with the longest report period. |
| days\_retrieved                          | number | Total days of transactions the income report is generated from. It is the delta days of `from_date` and `to_date`. Will always use the applicant with the longest report period.     |
| total\_income                            | number | Total combined income for all applicants in the period between `from_date` and `to_date`.                                                                                            |
| total\_deposits                          | number | Total number of deposits into applicants accounts between `from_date` and  `to_date`.                                                                                                |
| average\_monthly\_income                 | number | Average combined monthly income between the period `from_date` and `to_date`.                                                                                                        |
| average\_monthly\_income\_3              | number | Average combined monthly income in the last 3 months.                                                                                                                                |
| average\_monthly\_expenses               | number | Average combined monthly expenses.                                                                                                                                                   |
| total\_recurring\_income                 | number | Total combined recurring income.                                                                                                                                                     |
| average\_monthly\_income\_recurring      | number | Average monthly combined recurring income.                                                                                                                                           |
| total\_recurring\_deposits               | number | Total recurring deposits for all applicants.                                                                                                                                         |
| total\_non\_recurring\_income            | number | Total combined non-recurring income.                                                                                                                                                 |
| average\_monthly\_income\_non\_recurring | number | Average combined non-recurring monthly income.                                                                                                                                       |
| total\_non\_recurring\_deposits          | number | Total non-recurring deposits for all applicants.                                                                                                                                     |
| income\_rent\_multiple                   | number | `average_monthly_income` ÷ `income_rent`                                                                                                                                             |
| expense\_income\_ratio                   | number | `average_monthly_expenses` ÷ `average_monthly_income`                                                                                                                                |
| Applicants                               | array  | An array of objects containing a individual report for each applicant in the joint report.                                                                                           |
| joint\_report\_url                       | string | Url link to the joint report pdf.                                                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.numaly.com/retrieving-reports-1/retrieve-joint-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
